local KnifeGrinder = ...

KnifeGrinder:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "KNIFEGRINDER"
    }
})

KnifeGrinder:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "KNIFEGRINDER"
    }
})

KnifeGrinder:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        "KNIFEGRINDER"
    }
})

KnifeGrinder:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        "KNIFEGRINDER"
    }
})

KnifeGrinder:registerAssetId("models/knife.fbx/Prefab/knife", "KNIFEGRINDER_KNIFE_PREFAB")

-- Register Knife grinder job
KnifeGrinder:register({
	DataType = "JOB",
	Id = "KNIFEGRINDER",
	JobName = "KNIFEGRINDER_NAME",
	JobDescription = "KNIFEGRINDER_DESC",
        CharacterSetup = {
            RightHandObject = {
                Model = "KNIFEGRINDER_KNIFE_PREFAB"
            },
            WorkAnimation = "GRINDSTONE"
        },
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"        
})
